Skip to main content
GET
/
experiments
List Experiments
curl --request GET \
  --url 'https://api.example.com/experiments?HAIQU_API_KEY='
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "creation_date": "2023-11-07T05:31:56Z",
    "user_id": 123,
    "user": {
      "email": "<string>",
      "username": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "api_access_key": "<string>"
    },
    "tags": "",
    "circuits_count": 0,
    "jobs_count": 0,
    "last_action_date": "2023-11-07T05:31:56Z",
    "metrics": {}
  }
]

Authorizations

HAIQU_API_KEY
string
query
required

Query Parameters

name
string | null

Response

Successful Response

id
string
required
name
string
required
description
string
required
creation_date
string<date-time>
required
user_id
integer
required
user
UserModel · object
required

User model.

MVP: Haiqu user is created by Haiqu team, auth with username/password. V2: Haiqu API user is OAuth authenticated user from IBM, Google, etc.

tags
string | null
default:""
circuits_count
integer | null
default:0
jobs_count
integer | null
default:0
last_action_date
string<date-time> | null
metrics
Metrics · object